function retval = GMAVisualizationSave(fcn, varargin)
% Saves a variable to a text file.

if nargin < 1
    error('GMA:internal:GMAVisualizationSave:nargin1', 'There must be at least one argument.')
end

switch fcn
    case 'getVisualizationName'
        retval = 'Save to Text File';
    case 'getVersion'
        retval = 1.0;
    case 'getHooks'
        retval = {'visualizations'};
    case 'getDependencies'
        retval = {};
    case 'getDescription'
        if nargin < 3; error('GMA:internal:GMAVisualizationSave:nargin2', 'There must be two arguments.'); end
        retval = ['Save ' varargin{1} ' to a text file.'];
    case 'checkCompatibility'
        retval = true;
    case 'display'
        if nargin < 4; error('GMA:internal:GMAVisualizationSave:nargin4', 'There must be four arguments.'); end
        GMAVisualizationSave_display(varargin{1}, varargin{2});
    otherwise
        error('GMA:internal:GMAVisualizationSave:unrecognizedFcn', 'The function was unrecognized.')
end

    function GMAVisualizationSave_display(dataObj, displayName)
        [filename pathname] = uiputfile;
        if isnumeric(filename); return; end
        filename = [pathname filename];
        dataObj.serialize(filename, displayName)
    end % function GMAVisualizationHistogram_calculate


end % function GMAVisualizationSave

