function retval = breadcrumbs(handles, command, arg)
% The breadcrumbs is the history of screens.

crumbs = GMAFunctions.get(handles, 'breadcrumbs');
switch command
    case 'add'
        crumbs = [crumbs, arg];
        if length(crumbs) > 50
            crumbs(1) = [];
        end
    case 'back'
        if isempty(crumbs)
            retval = 0;
        else
            retval = crumbs{end};
            crumbs(end) = [];
        end
    case 'reset'
        if length(crumbs) > 1
            crumbs = crumbs(end);
        end
    otherwise
        error('GMA:internal:breadcrumb:command', 'Unrecognized command.')
end
GMAFunctions.set(handles, 'breadcrumbs', crumbs)

end

