function status = close(handles, option)
% resets the GUI variables

if nargin > 1 && strcmp(option, 'force')
    force = true;
else
    force = false;
end

status = 0;

% If anything is still going on, ask the user for permission before
% deleting data.
if ~force
    if GMAFunctions.get(handles, 'running')
        answer = questdlg(['Calculations are currently being run. Do you want ' ...
            'to stop the calculations and destroy the results? This may produce ' ...
            'error messages.'], 'Halt Execution?', 'Keep Calculating', ...
            'Stop Calculations', 'Keep Calculating');
        if ~strcmp(answer, 'Stop Calculations')
            return
        end
    elseif GMAFunctions.get(handles, 'open')
        answer = questdlg('All unsaved results will be deleted.', ...
            'Clear Reults?', 'Clear Results', 'Go Back', 'Go Back');
        if ~strcmp(answer, 'Clear Results')
            return
        end
    end
end

% Close any open files
%dataObj = GMAFunctions.get(handles, 'dataObj');


if ~force
    % Save time by not resetting variables, since the window will be closed
    % anyway, deleting all variables.
    fh = handles.figure;
    % I'm using setappdata here because it is faster.
    setappdata(fh, 'inputFiles', {})
    setappdata(fh, 'analysisOpen', false)
    setappdata(fh, 'analysisType', '')
    setappdata(fh, 'lastScreen', '')
    setappdata(fh, 'lastOpenFolder', '')
    setappdata(fh, 'lastSaveFolder', '')
    setappdata(fh, 'dataObj', [])
    setappdata(fh, 'breadcrumbs', {})
    setappdata(fh, 'selectedVariable', '')
    setappdata(fh, 'selectedVisualization', '')
    setappdata(fh, 'selectedTimestep', {})
    setappdata(fh, 'variableNames', {})
    % These are set once in gma.m and never reset.
    % hooks cannot be reset.
    % version cannot be reset.
    % extensionNames cannot be reset.
    % extensionHandles cannot be reset.
    % currentScreen is never reset automatically
end

status = 1;

end % function
