function scr_timestep(handles, command)

par = handles.Container;

if nargin ~= 2; error('GMA:internal:scr_timestep:nargin', 'There must be 2 arguments.'); end

switch command
    case 'create'
        createUI()
        setPosition()
    case 'resize'
        setPosition()
    case 'nextCallback'
        selectedValue = get(handles.timelist, 'Value');
        if isempty(selectedValue)
            errordlg('Select at least one timestep.', 'GMA Error')
            return
        end
        strings = cellstr(get(handles.timelist, 'String'));
        selectedTimestep = strings(selectedValue);
        GMAFunctions.set(handles, 'selectedTimestep', selectedTimestep);
        GMAFunctions.runIt(handles)
    otherwise
        error('GMA:fatal:scr_timestep:unrecognizedCommand', 'Internal Error: unrecognized command.')
end


    function createUI()
        uicontrol(par, 'Tag', 'instructions', 'Style', 'text', 'Units', 'pixels', ...
            'String', 'Select a timestep.', 'FontSize', 10)
        uicontrol(par, 'Tag', 'timelist', 'Style', 'listbox', 'Units', ...
            'pixels', 'BackgroundColor', 'white', 'FontSize', 10)
        uicontrol(par, 'Tag', 'nextbutton', 'Style', 'pushbutton', 'Units', ...
            'pixels', 'String', 'Next', 'FontSize', 10, 'Callback', ...
            @(h,e)GMAFunctions.scr_timestep(guihandles(h),'nextCallback'))
        % reload the handles
        handles = guihandles(par);
    end % function createUI
    function setPosition()
        % Get the figure size
        figsize = get(handles.figure, 'Position');
        fWidth = figsize(3);
        fHeight = figsize(4);
        set(handles.instructions, 'Position', [10, fHeight-40, fWidth-19, 30])
        set(handles.timelist, 'Position', [30, 45, fWidth-59, fHeight-130])
        set(handles.nextbutton, 'Position', [fWidth-109, 10, 100, 25])
    end % function setPosition
end % function scr_timestep

