function screenManager(handles, command, arg)
% Screen manager for MicroAnalyzeGUI

if nargin < 2 || nargin > 3
    error('GMA:internal:screenManager:nargin', 'There must be 2 or 3 input arguments.')
end

% Get the current screen shown.
currentscreen = GMAFunctions.get(handles, 'currentScreen');

switch command
    case 'resize'
        if isempty(currentscreen), return; end
        % get the current screen command
        scrcmd = str2func(['GMAFunctions.scr_' currentscreen]);
        scrcmd(handles, 'resize')
    case 'switch'
        if strcmp(currentscreen, arg); return; end
        GMAFunctions.breadcrumbs(handles, 'add', currentscreen);
        error(nargchk(3, 3, nargin))
        set(handles.Container, 'Visible', 'off')
        for n = get(handles.Container, 'Children')
            delete(n);
        end
        drawnow
        scrcmd = str2func(['GMAFunctions.scr_' arg]);
        scrcmd(handles, 'create');
        set(handles.Container, 'Visible', 'on')
        GMAFunctions.set(handles, 'currentScreen', arg)
    case 'back'
        back = GMAFunctions.breadcrumbs(handles, 'back');
        if back ~= 0
            set(handles.Container, 'Visible', 'off')
            for n = get(handles.Container, 'Children')
                delete(n);
            end
            scrcmd = str2func(['GMAFunctions.scr_' back]);
            scrcmd(handles, 'create');
            set(handles.Container, 'Visible', 'on')
            GMAFunctions.set(handles, 'currentScreen', back)
        end
    otherwise
        error('GMA:internal:screenManager:commandnotfound', 'Command not found.')
end





end
